Subject: Re: bug#38453: 27.0.50; Portable dumper error: smuggled pointers

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Dec 2019 09:39:59 +0100

>>>>> On Sun, 1 Dec 2019 23:45:10 -0500, Yuan Fu <[email-masked]> said:

    Yuan> To reproduce:
    Yuan> $ emacs -q
    Yuan> ;; in Emacs
    Yuan> (dump-emacs-portable "~/attic/emacs.pdmp")
    Yuan> ;; error:
    Yuan> ;; progn: unsupported object type in dump: smuggled pointers

I donʼt think thatʼs meant to work from an interactive Emacs. Try:

emacs -q --batch --eval '(dump-emacs-portable "~/attic/emacs.pdmp")'

Robert